// Copyright (C) 2019  Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions 
// and other software and tools, and any partner logic 
// functions, and any output files from any of the foregoing 
// (including device programming or simulation files), and any 
// associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License 
// Subscription Agreement, the Intel Quartus Prime License Agreement,
// the Intel FPGA IP License Agreement, or other applicable license
// agreement, including, without limitation, that your use is for
// the sole purpose of programming logic devices manufactured by
// Intel and sold by Intel or its authorized distributors.  Please
// refer to the applicable agreement for further details, at
// https://fpgasoftware.intel.com/eula.

module top
(
	// user leds
	output			LED8,
	output			LED7,
	output			LED6,
	output			LED5,
	output			LED4,
	output			LED3,
	output			LED2,
	output			LED1,
	
	// FTDI - UART
	input			BDBUS0, // FPGA_RXD
	output			BDBUS1, // FPGA_TXD
	// input			BDBUS2, // RTS#
	// output			BDBUS3, // CTS#
	// input			BDBUS4, // DTR#
	// output			BDBUS5, // DSR#

	// smoke detection
	output			ADP_SCK,
	output			ADP_CS,
	input			ADP_MISO,
	output			ADP_MOSI,
	// input/output			IOM_GPIO0,
	// input/output			IOM_GPIO1,
	inout			IOM_SDA,
	inout			IOM_SCL,

	// user flash memory
	output			F_CLK,
	output			F_CS,
	output			F_DI,
	input			F_DO,
	// can be used for QSPI
	// inout			NSTATUS,
	// inout			DEVCLRN,
	
	// sdram memory
	output			RAS,
	output			CLK,
	output			CKE,
	output			CAS,
	output			WE,
	output			CS,
	inout	[0:15]	DQ,
	output	[0:11]	A,
	output	[0:1]	DQM,
	output	[0:1]	BA,
	
	// SPI interface for ADC/DAC, Temperature Sensor, MEMS Accelerometer
	output			MCLK,
	output			MOSI,
	input			MISO,
	
	// ADC/DAC
	output			ADDA_SYNC,
	output			ADDA_RSTN,
	
	// Temperature Sensor
	output			TEMP_CS,
	input			TEMP_CT,
	input			TEMP_INT,
	
	// MEMS Accelerometer
	output			MEMS_CS,
	input			MEMS_INT1,
	input			MEMS_INT2,
	
	// clocks 
	input			CLK12M,
	input			OSC_CLK,
	output			OSC_DIV, // clock divider for OSC_CLK
	
	// user buttons
	input			USER_BTN,
	input			RESET,
	
	// Pin Header J3 I/O
	// input/output			X_FPGA,
	
	// Pin Header J6 I/O
	// input/output			PIO_01,
	// input/output			PIO_02,
	// input/output			PIO_03,
	// input/output			PIO_04,
	// input/output			PIO_05,
	// input/output			PIO_06,
	// input/output			PIO_07,
	// input/output			PIO_08,
	
	// Pin Header J1/2 I/O
	// input/output			D0,
	// input/output			D1,
	// input/output			D2,
	// input/output			D3,
	// input/output			D4,
	// input/output			D5,
	// input/output			D6,
	// input/output			D7,
	// input/output			D8,
	// input/output			D9,
	// input/output			D10,
	// input/output			D11,
	// input/output			D11_R,
	// input/output			D12,
	// input/output			D12_R,
	// input/output			D13,
	// input/output			D14,

	// connected to LED D10
	output			CONF_DONE
);

endmodule
